# for fake packages:
%global __requires_exclude_from ^%{_datadir}/%{name}/fake_packages/
%global __provides_exclude_from ^%{_datadir}/%{name}/fake_packages/

Summary: Verify Perl code
Name: perl_checker
Version: 1.2.33
Release: %mkrel 1
License: GPLv2+
Group: Development/Perl
%ifarch %arm
# need ocamlrun
Requires: ocaml
%endif
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/perl_checker
Source0: perl_checker-%version.tar.xz
BuildRequires: ocaml
# for POSIX fake package (for test suite):
BuildRequires: perl_checker-fake_packages
Requires: perl_checker-fake_packages


%description
Various verifying scripts created for DrakX

%package fake_packages
Summary: Verify Perl code
Conflicts: perl_checker < 1.2.29
BuildArch: noarch

%description fake_packages
This package contains various fake packages in order to be able to check calls
to some widely used modules that are not parsable by perl_checker.

%prep
%autosetup -p1

%build
make

%install
%make_install

%check
# sanity control
for i in $(find fake_packages -name "*.pm"); do
    ./src/perl_checker --no-check-white-space $i
done

%files
%doc src/perl_checker.html NEWS
%license COPYING
%{_bindir}/*
%{_datadir}/vim/ftplugin/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%files fake_packages
%{_datadir}/perl_checker





%changelog
* Thu Nov 10 2016 tv <tv> 1.2.33-1.mga6
+ Revision: 1066256
- blacklist Date::Manip for urpm::parallel
- fake packages:
  o add fake packages for Pango::Cairo
  o add Glib::IO
  o add Math::Int64 for URPM::Resolve
  o update RPM4
- add basic sanity checks for fake packages

* Fri Nov 04 2016 tv <tv> 1.2.32-1.mga6
+ Revision: 1065322
- fake packages:
  o add fake packages for Atk, Gio, GObject
  o update Gtk3, & WekKit* with relation to parent classes, thus increasing SNR

* Wed Nov 02 2016 tv <tv> 1.2.31-1.mga6
+ Revision: 1064743
- fake packages:
  o make Gtk3::WebKit2 parsable by perl_checker
  o restore & update Cairo

* Tue Oct 11 2016 tv <tv> 1.2.30-1.mga6
+ Revision: 1060172
- blacklist File::Spec::Unix & Test::Builder for iurt
- recognize ~~ (smartmatch)
- fake packages:
  o add Gtk3::WebKit2
  o update Gtk3 fake package to 3.22, thus increasing SNR

* Mon Sep 26 2016 pterjan <pterjan> 1.2.29-3.mga6
+ Revision: 1056460
- Rebuild for fix in ocaml

* Sat Sep 17 2016 tv <tv> 1.2.29-2.mga6
+ Revision: 1053537
- BR fake_packages & whitelist POSIX again

* Sat Sep 17 2016 tv <tv> 1.2.29-1.mga6
+ Revision: 1053516
- patch: temporary blacklist POSIX again as fake package isn't availlable in
  build chroot
- split fake_packages into a new noarch subpackage
- kill very old obsoletes
- use deps excludes rather than AutoReqProv which is always wrong those days
- remove last remanants of ppc64 & mips
- use %%make_install
- blacklist the usual (module) suspects
- recognize "bytes", "open" & "constant" pragmas
- fake packages:
  o add c, Carp, Cwd, Encode, Glib::Object::Introspection, POSIX & XSLoader
  o remove Cairo & Gnome2 fake packages (unused)
  o update Glib, Gtk2, MDV::Distribconf, Net::DNS & RPM4 package

* Tue Sep 13 2016 tv <tv> 1.2.27-2.mga6
+ Revision: 1051935
- use %%license
- package NEWS

* Sat Aug 27 2016 tv <tv> 1.2.27-1.mga6
+ Revision: 1049269
- fake packages:
  o add USER for userdrake
- don't die when @ISA or "use base" is used more than once,
  make it a warning instead (needed for Parted bindings)

* Fri Feb 12 2016 umeabot <umeabot> 1.2.26-5.mga6
+ Revision: 956813
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 blino <blino> 1.2.26-4.mga6
+ Revision: 892857
- use ocaml native-code compiler on ARM (supported from 4.00)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.26-3.mga5
+ Revision: 739405
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.26-2.mga5
+ Revision: 687067
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 tv <tv> 1.2.26-1.mga5
+ Revision: 596179
- fix "undeclared variable $_" false positive on List::Util::first()
- fake packages:
  o add Gtk3 & Gtk3::{Notify,WebKit}

* Mon Oct 21 2013 umeabot <umeabot> 1.2.25-2.mga4
+ Revision: 538747
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 tv <tv> 1.2.25-1.mga4
+ Revision: 490300
- new release

* Wed Jan 23 2013 tv <tv> 1.2.24-3.mga3
+ Revision: 391711
- drop useless require on perl-base

* Sun Jan 13 2013 umeabot <umeabot> 1.2.24-2.mga3
+ Revision: 375601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + tv <tv>
    - kill now uneeded build fix
    - rip %%clean && BuildRoot

* Sun Oct 14 2012 tv <tv> 1.2.24-1.mga3
+ Revision: 305281
- recognize /r modifier for regexpes
- recognize \E, \L, \u, \U in regexpes

* Thu Oct 04 2012 tv <tv> 1.2.23-1.mga3
+ Revision: 302816
- update URPM fake package

* Fri Sep 21 2012 tv <tv> 1.2.22-1.mga3
+ Revision: 296526
- update URPM fake package

* Thu Sep 06 2012 tv <tv> 1.2.21-1.mga3
+ Revision: 288804
- update RPM4 & URPM fake packages

* Tue Aug 07 2012 tv <tv> 1.2.20-1.mga3
+ Revision: 279781
- perl_checker:
  o default to UTF-8 charset when generating reference catalog

* Tue Apr 03 2012 tv <tv> 1.2.19-1.mga2
+ Revision: 228122
- fake packages:
  o add XML::LibXML::Reader for urpmi
- perl_checker:
  o recognize binmode()
  o recognize "%%f" in printf strings

* Mon Mar 26 2012 tv <tv> 1.2.18-1.mga2
+ Revision: 226514
- fake packages:
  o add RPM4 (for eg: iurt)
  o update Net::FTP for installer
- perl_checker:
  o recognize \B in regexps
  o recognize -p (pipe test) & -S (socket test)
  o recognize getpgrp()
  o kill "undeclared variable $^S"
- fake packages:
  o add RPM4 (for eg: iurt)
  o update Net::FTP for installer
- perl_checker:
  o recognize \B in regexps
  o recognize -p (pipe test) & -S (socket test)
  o recognize getpgrp()
  o kill "undeclared variable $^S"

* Mon Mar 19 2012 tv <tv> 1.2.17-1.mga2
+ Revision: 224464
- fix Glib fake package causing perl_checker to show bogus "too many
  parameters" on some isa() calls

* Fri Mar 16 2012 tv <tv> 1.2.16-1.mga2
+ Revision: 223712
- reduce perl_checker SNR on perl function expecting a variable number
  of arguments
- update URPM fake package

* Thu Mar 08 2012 tv <tv> 1.2.15-1.mga2
+ Revision: 221573
- blacklist some function names that perl_checker dislike (use, ...)
- fix 2 fake packages
- update fake packages

* Mon Jan 30 2012 tv <tv> 1.2.13-1.mga2
+ Revision: 203387
- parse .pm files too when generating fake packages
- update fake packages

* Tue Sep 20 2011 tv <tv> 1.2.12-1.mga2
+ Revision: 146166
- update fake packages

* Sat Jun 11 2011 spuhler <spuhler> 1.2.11-7.mga2
+ Revision: 103687
- increase rel for rebuild

* Fri May 13 2011 rtp <rtp> 1.2.11-6.mga1
+ Revision: 97887
- Require ocaml instead of ocamlrun file-dep for arm/mips case

* Fri Jan 21 2011 erwan <erwan> 1.2.11-5.mga1
+ Revision: 30464
- imported package perl_checker

